> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.mysoleas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Liste des services



## OpenAPI

````yaml GET /service/list
openapi: 3.1.0
info:
  title: Mysoleas API
  version: 3.0.0
  description: >-
    Nouvelle architecture Mysoleas: gateway de paiement et authentification
    OAuth 2.0.
servers:
  - url: https://api.mysoleas.com
    description: Gateway Mysoleas
  - url: https://account.mysoleas.com
    description: Authentification Mysoleas
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Plugin
  - name: Payment links
  - name: Subscriptions
  - name: Collections
  - name: Disbursements
  - name: Catalog
paths:
  /service/list:
    get:
      tags:
        - Catalog
      summary: Lister les services
      parameters:
        - name: country
          in: query
          schema:
            type: string
            example: CM
        - name: currency
          in: query
          schema:
            type: string
            example: XAF
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/Limit'
      responses:
        '200':
          $ref: '#/components/responses/ServiceListSuccess'
components:
  parameters:
    Page:
      name: page
      in: query
      schema:
        type: integer
        minimum: 1
        default: 1
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 25
  responses:
    ServiceListSuccess:
      description: Liste de services
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ServiceListApiResponse'
  schemas:
    ServiceListApiResponse:
      allOf:
        - $ref: '#/components/schemas/ApiResponseBase'
        - type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/Service'
    ApiResponseBase:
      type: object
      properties:
        code:
          type: integer
          example: 200
        success:
          type: boolean
          example: true
        locale:
          type: string
          example: fr
        message:
          type: string
        meta:
          type: object
          additionalProperties: true
    Service:
      type: object
      properties:
        id:
          type: integer
        code:
          type: string
          example: CM_MTN_MOMO
        description:
          type: string
        provider:
          type: string
          example: MTN_CMR
        country:
          type: string
          example: CM
        currency:
          type: string
          example: XAF
        type:
          type: string
          enum:
            - CRYPTOCURRENCY
            - FIAT
            - CARD
            - MARKETING
            - MYSHUP
        is_active:
          type: boolean
        is_public:
          type: boolean
        is_need_otp:
          type: boolean
        is_can_collect:
          type: boolean
        is_can_disburse:
          type: boolean
        is_can_swap:
          type: boolean
        confirmation_method:
          type:
            - string
            - 'null'
          enum:
            - MSISDN
            - LINK
            - QRCODE
            - null
        otp_helper:
          type:
            - object
            - array
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````